<!-- basic meta -->
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
<meta name="HandheldFriendly" content="True" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Cache-Control" content="no-transform" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<meta http-equiv="Permissions-Policy" content="interest-cohort=()"/>
{{ hugo.Generator }}

<!-- favicon -->
{{ partial "favicon.html" . }}

<!-- seo metadata -->
{{ if and (.IsHome) (.Site.Params.subTitle) }}
<title>{{ .Site.Title }} - {{ .Site.Params.subTitle }}</title>
{{ else if .IsHome }}
<title>{{ .Site.Title }}</title>
{{ else }}
<title>{{ .Title }} - {{ .Site.Title }}</title>
{{ end }}
<meta name="author" content="{{if .Params.author }}{{ .Params.author }}{{ else }}{{ .Site.Params.author }}{{ end }}" />
<meta name="description" content="{{if .Params.description }}{{ .Params.description }}{{ else if .Summary }}{{ .Summary }}{{ else }}{{ .Site.Params.description }}{{ end }}" />
{{ if .Params.tags }}
<meta name="keywords" content="{{ delimit .Params.tags ", " }}" />
{{ end }}
{{ template "_internal/opengraph.html" . }}

<!-- global main css -->
{{ $options := (dict "targetPath" "css/main.min.css" "outputStyle" "compressed") }}
{{ $style := resources.Get "sass/main.scss" | css.Sass $options  }}
<link rel="preload" href="{{ $style.Permalink }}" as="style">
<link rel="stylesheet" href="{{ $style.Permalink }}" />

<script src="/js/lunr.min.js"></script>
<script>
    // Only load goatcounter on production environment.
    if (window.location.host !== 'vl8r.eu')
        window.goatcounter = {no_onload: true}
</script>
<script data-goatcounter="https://goatcounter.vl8r.eu/count" async src="/js/count.js"></script>

{{ $fonts := resources.Get "css/fonts.css" }}
<link rel="preload" href="{{ $fonts.Permalink }}" as="style">
<link rel="stylesheet" href="{{ $fonts.Permalink }}" />

{{ with .OutputFormats.Get "rss" -}}
    {{ printf `<link rel="%s" type="%s" href="%s" title="%s" />` .Rel .MediaType.Type .Permalink $.Site.Title | safeHTML }}
{{ end -}}

